Skip to main content

Fetch PAN ID and Date of Birth API

API Usage Guidelines

The Fetch PAN ID and Date of Birth API is designed specifically for data auto-population purposes, not for PAN validation or verification.

API Description

Objective

The Fetch PAN ID and Date of Birth API, also known as the "Pre-Fill PAN API", retrieves a user's ten-digit Permanent Account Number (PAN) and date of birth using their registered name and mobile number.

InputOutput
  • The user's name as registered in their PAN
  • The mobile number linked to their PAN
  • The ten-digit alphanumeric PAN ID of the user
  • The date of birth of the user

API URL

https://ind-engine.thomas.hyperverge.co/v1/preFillPAN

Endpoint

preFillPAN

Overview

The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format and you should upload all images and files as form-data through a POST request.

Authentication

You need a unique pair of application ID ( appId ) and application key (appKey) from HyperVerge to verify your identity for accessing the API.

API Request Details

Method - POST

Headers

ParameterMandatory or OptionalTypeDescriptionValid Values
content-typeMandatorystringThis parameter defines the media type for the request payload.application/json
appIdMandatorystringThe application ID shared by HyperVergeNot Applicable - this is a unique value.
appKeyMandatorystringThe application key shared by HyperVergeNot Applicable - this is a unique value
transactionIdMandatorystringThe unique ID for the customer journeyNot Applicable - this is a unique value related to a transaction in your application.

Input

The following table provides the complete information on the parameters used in the request body for the API call.

ParameterDescriptionMandatory or OptionalAllowed ValuesDefault Value
consentPurposeThe remark representing the consent of the customer to fetch their PAN ID and date of birth along with its purpose of use. For example, "Customer consent provided to fetch the PAN data for testing".MandatoryNot ApplicableNot Applicable
nameThe name of the userMandatoryNot ApplicableNot Applicable
mobileThe 10 digit mobile number of the userMandatoryNot ApplicableNot Applicable

Sample Request

The following code shows a standard curl request for the API.

curl --location --request POST 'https://ind-engine.thomas.hyperverge.co/v1/preFillPAN' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"consentPurpose": "Fetch data for testing",
"name": "<User_Name>",
"mobile": "<User_Mobile_Number>"
}'

Success Response

The following is a sample success response.

{
"status": "success",
"statusCode": "200",
"result": {
"dob": "<The_DOB_of_the_User>",
"pan": "<The_10_digit_PAN_of_the_User>"
}
}

Success Response Details

The following table provides the details of the fields in a success response.

ParameterTypeDescription
dobstringThe date of birth of the user in “YYYY-MM-DD” format
panstringThe ten-digit alphanumeric permanent account number (the PAN ID) associated with the user

Failure Response

The following is a sample response when no match is found against the name and the mobile number combination used in the request.

{
"status": "failure",
"statusCode": 404,
"error": "Customer not found"
}

Error Responses

The following are the sample error responses for the API.

{
"status": "failure",
"statusCode": 400,
"error": "Name cannot be empty"
}
{
"status": "failure",
"statusCode": 404,
"error": "Customer not found"
}

Failure and Error Response Details

A failure or error response contains a failure status with a relavant status code and error message. The following table lists all error responses.

Status CodeError MessageError Description
400Invalid mobile number formatThe mobile number of the customer should only be a ten digit input.
400Name cannot be emptyThe name of the customer is a mandatory input in the request.
400Invalid consentPurposeThe consentPurpose parameter is a mandatory input in the request.
401Missing/Invalid credentialsThe request is either missing the mandatory credentials or has invalid credentials.
404Customer not foundThe customer's phone number and their name combination does not match any PAN record.
429Rate limit exceededThis error is returned when the number of transactions per minute has crossed the limit set for your credentials.
500Internal Server ErrorThere was an error either with the request or with HyperVerge's server. Please check the API request's headers or contact the HyperVerge team for resolution.
504Issue with external serviceThere is an issue with the service. Kindly contact the HyperVerge Team for support.
Was this helpful?
Ask AIBeta
Hi! How can I help?
Ask me anything about HyperVerge products, APIs, and SDKs.
Try asking: